boost::geometry::read_wkt_exception Struct Reference
wkt: parse and stream WKT (Well-Known Text)

Exception showing things wrong with WKT parsing. More...

Inheritance diagram for boost::geometry::read_wkt_exception:

List of all members.

## Public Member Functions

template<typename Iterator >
| read_wkt_exception (std::string const &msg, Iterator const &it, Iterator const &end, std::string const &wkt)
| read_wkt_exception (std::string const &msg, std::string const &wkt)
virtual const char * | what () const throw ()
virtual | ~read_wkt_exception () throw ()

## Detailed Description

Exception showing things wrong with WKT parsing.

## Constructor & Destructor Documentation

template<typename Iterator >

boost::geometry::read_wkt_exception::read_wkt_exception | ( | std::string const & | msg,
|  | Iterator const & | it,
|  | Iterator const & | end,
|  | std::string const & | wkt
| ) |  |

boost::geometry::read_wkt_exception::read_wkt_exception | ( | std::string const & | msg,
|  | std::string const & | wkt
| ) |  |

virtual boost::geometry::read_wkt_exception::~read_wkt_exception | ( |  | ) | throw ()`[virtual]`

## Member Function Documentation

virtual const char* boost::geometry::read_wkt_exception::what | ( |  | ) | const throw ()`[virtual]`

Reimplemented from boost::geometry::exception.

April 2, 2011 | Copyright © 2007-2011 Barend Gehrels, Amsterdam, the Netherlands Copyright © 2008-2011 Bruno Lalande, Paris, France Copyright © 2009-2010 Mateusz Loskot, London, UK